Tested trusty:
TL;DR working as it should now - properly regenerating "over" the cache and 
thereby working correctly.

$ lxc launch ubuntu-daily:t trusty-bug-1707400 --profile default --profile kvm  
                                                         
Creating trusty-bug-1707400
Starting trusty-bug-1707400
[✓]─[paelzer@lap:~]──[60423]──[19:09 Mi Aug 09]──
$ lxc exec trusty-bug-1707400 bash
root@trusty-bug-1707400:~# apt update
Get:1 http://security.ubuntu.com trusty-security InRelease [65.9 kB]
Ign http://archive.ubuntu.com trusty InRelease          
Get:2 http://archive.ubuntu.com trusty-updates InRelease [65.9 kB]
Hit http://archive.ubuntu.com trusty-backports InRelease             
Hit http://archive.ubuntu.com trusty Release.gpg     
Hit http://archive.ubuntu.com trusty Release         
Get:3 http://security.ubuntu.com trusty-security/main Sources [139 kB]
Get:4 http://security.ubuntu.com trusty-security/universe Sources [61.0 kB]    
Get:5 http://archive.ubuntu.com trusty-updates/main Sources [402 kB]           
Get:6 http://security.ubuntu.com trusty-security/main amd64 Packages [648 kB]  
Get:7 http://security.ubuntu.com trusty-security/universe amd64 Packages [179 
kB]
Get:8 http://security.ubuntu.com trusty-security/main Translation-en [347 kB]  
Get:9 http://archive.ubuntu.com trusty-updates/restricted Sources [6331 B]     
Get:10 http://archive.ubuntu.com trusty-updates/universe Sources [187 kB]      
Get:11 http://security.ubuntu.com trusty-security/universe Translation-en [103 
kB]
Get:12 http://archive.ubuntu.com trusty-updates/multiverse Sources [7768 B]    
Get:13 http://archive.ubuntu.com trusty-updates/main amd64 Packages [1004 kB]
Get:14 http://archive.ubuntu.com trusty-updates/restricted amd64 Packages [17.1 
kB]
Get:15 http://archive.ubuntu.com trusty-updates/universe amd64 Packages [419 kB]
Get:16 http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages [14.3 
kB]
Get:17 http://archive.ubuntu.com trusty-updates/main Translation-en [492 kB]
Get:18 http://archive.ubuntu.com trusty-updates/multiverse Translation-en [7430 
B]
Get:19 http://archive.ubuntu.com trusty-updates/restricted Translation-en [3978 
B]
Get:20 http://archive.ubuntu.com trusty-updates/universe Translation-en [225 kB]
Get:21 http://archive.ubuntu.com trusty-backports/main Sources [9712 B]
Get:22 http://archive.ubuntu.com trusty-backports/restricted Sources [28 B]
Get:23 http://archive.ubuntu.com trusty-backports/universe Sources [35.3 kB]
Get:24 http://archive.ubuntu.com trusty-backports/multiverse Sources [1898 B]
Hit http://archive.ubuntu.com trusty-backports/main amd64 Packages
Hit http://archive.ubuntu.com trusty-backports/restricted amd64 Packages
Hit http://archive.ubuntu.com trusty-backports/universe amd64 Packages
Hit http://archive.ubuntu.com trusty-backports/multiverse amd64 Packages
Hit http://archive.ubuntu.com trusty-backports/main Translation-en
Hit http://archive.ubuntu.com trusty-backports/multiverse Translation-en
Hit http://archive.ubuntu.com trusty-backports/restricted Translation-en
Hit http://archive.ubuntu.com trusty-backports/universe Translation-en
Get:25 http://archive.ubuntu.com trusty/main Sources [1064 kB]
Get:26 http://archive.ubuntu.com trusty/restricted Sources [5433 B]
Get:27 http://archive.ubuntu.com trusty/universe Sources [6399 kB]        
Get:28 http://archive.ubuntu.com trusty/multiverse Sources [174 kB]            
Hit http://archive.ubuntu.com trusty/main amd64 Packages                       
Hit http://archive.ubuntu.com trusty/restricted amd64 Packages                 
Hit http://archive.ubuntu.com trusty/universe amd64 Packages                   
Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages                 
Hit http://archive.ubuntu.com trusty/main Translation-en                       
Hit http://archive.ubuntu.com trusty/multiverse Translation-en                 
Hit http://archive.ubuntu.com trusty/restricted Translation-en                 
Hit http://archive.ubuntu.com trusty/universe Translation-en                   
Fetched 12.1 MB in 7s (1563 kB/s)                                              
Reading package lists... Done
root@trusty-bug-1707400:~# apt install libvirt-bin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libfreetype6 os-prober
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  augeas-lenses bridge-utils cgroup-lite dnsmasq-base ebtables iproute
  libaugeas0 libavahi-client3 libavahi-common-data libavahi-common3
  libboost-system1.54.0 libboost-thread1.54.0 libmnl0 libnetcf1
  libnetfilter-conntrack3 libnl-3-200 libnl-route-3-200 libnspr4 libnss3
  libnss3-nssdb libpciaccess0 librados2 librbd1 libvirt0 libx86-1 libxen-4.4
  libxenstore3.0 libxml2-utils libxslt1.1 libyajl2 pm-utils vbetool
Suggested packages:
  augeas-doc augeas-tools qemu-kvm qemu radvd lvm2 cpufrequtils wireless-tools
  radeontool
The following NEW packages will be installed:
  augeas-lenses bridge-utils cgroup-lite dnsmasq-base ebtables iproute
  libaugeas0 libavahi-client3 libavahi-common-data libavahi-common3
  libboost-system1.54.0 libboost-thread1.54.0 libmnl0 libnetcf1
  libnetfilter-conntrack3 libnl-3-200 libnl-route-3-200 libnspr4 libnss3
  libnss3-nssdb libpciaccess0 librados2 librbd1 libvirt-bin libvirt0 libx86-1
  libxen-4.4 libxenstore3.0 libxml2-utils libxslt1.1 libyajl2 pm-utils vbetool
0 upgraded, 33 newly installed, 0 to remove and 0 not upgraded.
Need to get 7631 kB of archives.
After this operation, 35.0 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main 
libavahi-common-data amd64 0.6.31-4ubuntu1.1 [21.2 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libavahi-common3 
amd64 0.6.31-4ubuntu1.1 [21.7 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libavahi-client3 
amd64 0.6.31-4ubuntu1.1 [25.1 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ trusty-updates/main 
libboost-system1.54.0 amd64 1.54.0-4ubuntu3.1 [10.1 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ trusty-updates/main 
libboost-thread1.54.0 amd64 1.54.0-4ubuntu3.1 [26.5 kB]
Get:6 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libnl-3-200 amd64 
3.2.21-1ubuntu4.1 [45.3 kB]
Get:7 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libnl-route-3-200 
amd64 3.2.21-1ubuntu4.1 [96.2 kB]
Get:8 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libnspr4 amd64 
2:4.13.1-0ubuntu0.14.04.1 [110 kB]
Get:9 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libnss3-nssdb all 
2:3.28.4-0ubuntu0.14.04.2 [10.6 kB]
Get:10 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libnss3 amd64 
2:3.28.4-0ubuntu0.14.04.2 [1122 kB]
Get:11 http://archive.ubuntu.com/ubuntu/ trusty/main libpciaccess0 amd64 
0.13.2-1 [20.4 kB]
Get:12 http://archive.ubuntu.com/ubuntu/ trusty-updates/main librados2 amd64 
0.80.11-0ubuntu1.14.04.2 [1431 kB]
Get:13 http://archive.ubuntu.com/ubuntu/ trusty-updates/main librbd1 amd64 
0.80.11-0ubuntu1.14.04.2 [323 kB]
Get:14 http://archive.ubuntu.com/ubuntu/ trusty/main libx86-1 amd64 1.1+ds1-10 
[83.0 kB]
Get:15 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libxslt1.1 amd64 
1.1.28-2ubuntu0.1 [145 kB]
Get:16 http://archive.ubuntu.com/ubuntu/ trusty/main libmnl0 amd64 
1.0.3-3ubuntu1 [11.4 kB]
Get:17 http://archive.ubuntu.com/ubuntu/ trusty/main libnetfilter-conntrack3 
amd64 1.0.4-1 [45.9 kB]
Get:18 http://archive.ubuntu.com/ubuntu/ trusty/main libyajl2 amd64 2.0.4-4 
[20.8 kB]
Get:19 http://archive.ubuntu.com/ubuntu/ trusty-updates/main augeas-lenses all 
1.2.0-0ubuntu1.2 [229 kB]
Get:20 http://archive.ubuntu.com/ubuntu/ trusty/main bridge-utils amd64 
1.5-6ubuntu2 [29.2 kB]
Get:21 http://archive.ubuntu.com/ubuntu/ trusty-updates/main dnsmasq-base amd64 
2.68-1ubuntu0.1 [257 kB]
Get:22 http://archive.ubuntu.com/ubuntu/ trusty-updates/main ebtables amd64 
2.0.10.4-3ubuntu1.14.04.1 [77.3 kB]
Get:23 http://archive.ubuntu.com/ubuntu/ trusty-updates/main iproute all 
1:3.12.0-2ubuntu1 [2392 B]
Get:24 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libaugeas0 amd64 
1.2.0-0ubuntu1.2 [135 kB]
Get:25 http://archive.ubuntu.com/ubuntu/ trusty/main libnetcf1 amd64 
1:0.2.3-4ubuntu1 [44.4 kB]
Get:26 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libvirt0 amd64 
1.2.2-0ubuntu13.1.20 [827 kB]
Get:27 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libxenstore3.0 
amd64 4.4.2-0ubuntu0.14.04.12 [20.4 kB]
Get:28 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libxen-4.4 amd64 
4.4.2-0ubuntu0.14.04.12 [274 kB]
Get:29 http://archive.ubuntu.com/ubuntu/ trusty/main cgroup-lite all 1.9 [3918 
B]
Get:30 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libvirt-bin amd64 
1.2.2-0ubuntu13.1.20 [2066 kB]
Get:31 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libxml2-utils 
amd64 2.9.1+dfsg1-3ubuntu4.9 [34.7 kB]
Get:32 http://archive.ubuntu.com/ubuntu/ trusty-updates/main pm-utils all 
1.4.1-13ubuntu0.2 [51.0 kB]
Get:33 http://archive.ubuntu.com/ubuntu/ trusty/main vbetool amd64 1.1-3 [11.6 
kB]
Fetched 7631 kB in 4s (1779 kB/s)  
Extracting templates from packages: 100%
Selecting previously unselected package libavahi-common-data:amd64.
(Reading database ... 25120 files and directories currently installed.)
Preparing to unpack .../libavahi-common-data_0.6.31-4ubuntu1.1_amd64.deb ...
Unpacking libavahi-common-data:amd64 (0.6.31-4ubuntu1.1) ...
Selecting previously unselected package libavahi-common3:amd64.
Preparing to unpack .../libavahi-common3_0.6.31-4ubuntu1.1_amd64.deb ...
Unpacking libavahi-common3:amd64 (0.6.31-4ubuntu1.1) ...
Selecting previously unselected package libavahi-client3:amd64.
Preparing to unpack .../libavahi-client3_0.6.31-4ubuntu1.1_amd64.deb ...
Unpacking libavahi-client3:amd64 (0.6.31-4ubuntu1.1) ...
Selecting previously unselected package libboost-system1.54.0:amd64.
Preparing to unpack .../libboost-system1.54.0_1.54.0-4ubuntu3.1_amd64.deb ...
Unpacking libboost-system1.54.0:amd64 (1.54.0-4ubuntu3.1) ...
Selecting previously unselected package libboost-thread1.54.0:amd64.
Preparing to unpack .../libboost-thread1.54.0_1.54.0-4ubuntu3.1_amd64.deb ...
Unpacking libboost-thread1.54.0:amd64 (1.54.0-4ubuntu3.1) ...
Selecting previously unselected package libnl-3-200:amd64.
Preparing to unpack .../libnl-3-200_3.2.21-1ubuntu4.1_amd64.deb ...
Unpacking libnl-3-200:amd64 (3.2.21-1ubuntu4.1) ...
Selecting previously unselected package libnl-route-3-200:amd64.
Preparing to unpack .../libnl-route-3-200_3.2.21-1ubuntu4.1_amd64.deb ...
Unpacking libnl-route-3-200:amd64 (3.2.21-1ubuntu4.1) ...
Selecting previously unselected package libnspr4:amd64.
Preparing to unpack .../libnspr4_2%3a4.13.1-0ubuntu0.14.04.1_amd64.deb ...
Unpacking libnspr4:amd64 (2:4.13.1-0ubuntu0.14.04.1) ...
Selecting previously unselected package libnss3-nssdb.
Preparing to unpack .../libnss3-nssdb_2%3a3.28.4-0ubuntu0.14.04.2_all.deb ...
Unpacking libnss3-nssdb (2:3.28.4-0ubuntu0.14.04.2) ...
Selecting previously unselected package libnss3:amd64.
Preparing to unpack .../libnss3_2%3a3.28.4-0ubuntu0.14.04.2_amd64.deb ...
Unpacking libnss3:amd64 (2:3.28.4-0ubuntu0.14.04.2) ...
Selecting previously unselected package libpciaccess0:amd64.
Preparing to unpack .../libpciaccess0_0.13.2-1_amd64.deb ...
Unpacking libpciaccess0:amd64 (0.13.2-1) ...
Selecting previously unselected package librados2.
Preparing to unpack .../librados2_0.80.11-0ubuntu1.14.04.2_amd64.deb ...
Unpacking librados2 (0.80.11-0ubuntu1.14.04.2) ...
Selecting previously unselected package librbd1.
Preparing to unpack .../librbd1_0.80.11-0ubuntu1.14.04.2_amd64.deb ...
Unpacking librbd1 (0.80.11-0ubuntu1.14.04.2) ...
Selecting previously unselected package libx86-1:amd64.
Preparing to unpack .../libx86-1_1.1+ds1-10_amd64.deb ...
Unpacking libx86-1:amd64 (1.1+ds1-10) ...
Selecting previously unselected package libxslt1.1:amd64.
Preparing to unpack .../libxslt1.1_1.1.28-2ubuntu0.1_amd64.deb ...
Unpacking libxslt1.1:amd64 (1.1.28-2ubuntu0.1) ...
Selecting previously unselected package libmnl0:amd64.
Preparing to unpack .../libmnl0_1.0.3-3ubuntu1_amd64.deb ...
Unpacking libmnl0:amd64 (1.0.3-3ubuntu1) ...
Selecting previously unselected package libnetfilter-conntrack3:amd64.
Preparing to unpack .../libnetfilter-conntrack3_1.0.4-1_amd64.deb ...
Unpacking libnetfilter-conntrack3:amd64 (1.0.4-1) ...
Selecting previously unselected package libyajl2:amd64.
Preparing to unpack .../libyajl2_2.0.4-4_amd64.deb ...
Unpacking libyajl2:amd64 (2.0.4-4) ...
Selecting previously unselected package augeas-lenses.
Preparing to unpack .../augeas-lenses_1.2.0-0ubuntu1.2_all.deb ...
Unpacking augeas-lenses (1.2.0-0ubuntu1.2) ...
Selecting previously unselected package bridge-utils.
Preparing to unpack .../bridge-utils_1.5-6ubuntu2_amd64.deb ...
Unpacking bridge-utils (1.5-6ubuntu2) ...
Selecting previously unselected package dnsmasq-base.
Preparing to unpack .../dnsmasq-base_2.68-1ubuntu0.1_amd64.deb ...
Unpacking dnsmasq-base (2.68-1ubuntu0.1) ...
Selecting previously unselected package ebtables.
Preparing to unpack .../ebtables_2.0.10.4-3ubuntu1.14.04.1_amd64.deb ...
Unpacking ebtables (2.0.10.4-3ubuntu1.14.04.1) ...
Selecting previously unselected package iproute.
Preparing to unpack .../iproute_1%3a3.12.0-2ubuntu1_all.deb ...
Unpacking iproute (1:3.12.0-2ubuntu1) ...
Selecting previously unselected package libaugeas0.
Preparing to unpack .../libaugeas0_1.2.0-0ubuntu1.2_amd64.deb ...
Unpacking libaugeas0 (1.2.0-0ubuntu1.2) ...
Selecting previously unselected package libnetcf1.
Preparing to unpack .../libnetcf1_1%3a0.2.3-4ubuntu1_amd64.deb ...
Unpacking libnetcf1 (1:0.2.3-4ubuntu1) ...
Selecting previously unselected package libvirt0.
Preparing to unpack .../libvirt0_1.2.2-0ubuntu13.1.20_amd64.deb ...
Unpacking libvirt0 (1.2.2-0ubuntu13.1.20) ...
Selecting previously unselected package libxenstore3.0.
Preparing to unpack .../libxenstore3.0_4.4.2-0ubuntu0.14.04.12_amd64.deb ...
Unpacking libxenstore3.0 (4.4.2-0ubuntu0.14.04.12) ...
Selecting previously unselected package libxen-4.4.
Preparing to unpack .../libxen-4.4_4.4.2-0ubuntu0.14.04.12_amd64.deb ...
Unpacking libxen-4.4 (4.4.2-0ubuntu0.14.04.12) ...
Selecting previously unselected package cgroup-lite.
Preparing to unpack .../cgroup-lite_1.9_all.deb ...
Unpacking cgroup-lite (1.9) ...
Selecting previously unselected package libvirt-bin.
Preparing to unpack .../libvirt-bin_1.2.2-0ubuntu13.1.20_amd64.deb ...
Unpacking libvirt-bin (1.2.2-0ubuntu13.1.20) ...
Selecting previously unselected package libxml2-utils.
Preparing to unpack .../libxml2-utils_2.9.1+dfsg1-3ubuntu4.9_amd64.deb ...
Unpacking libxml2-utils (2.9.1+dfsg1-3ubuntu4.9) ...
Selecting previously unselected package pm-utils.
Preparing to unpack .../pm-utils_1.4.1-13ubuntu0.2_all.deb ...
Unpacking pm-utils (1.4.1-13ubuntu0.2) ...
Selecting previously unselected package vbetool.
Preparing to unpack .../vbetool_1.1-3_amd64.deb ...
Unpacking vbetool (1.1-3) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for ureadahead (0.100.0-16) ...
Setting up libavahi-common-data:amd64 (0.6.31-4ubuntu1.1) ...
Setting up libavahi-common3:amd64 (0.6.31-4ubuntu1.1) ...
Setting up libavahi-client3:amd64 (0.6.31-4ubuntu1.1) ...
Setting up libboost-system1.54.0:amd64 (1.54.0-4ubuntu3.1) ...
Setting up libboost-thread1.54.0:amd64 (1.54.0-4ubuntu3.1) ...
Setting up libnl-3-200:amd64 (3.2.21-1ubuntu4.1) ...
Setting up libnl-route-3-200:amd64 (3.2.21-1ubuntu4.1) ...
Setting up libnspr4:amd64 (2:4.13.1-0ubuntu0.14.04.1) ...
Setting up libpciaccess0:amd64 (0.13.2-1) ...
Setting up libx86-1:amd64 (1.1+ds1-10) ...
Setting up libxslt1.1:amd64 (1.1.28-2ubuntu0.1) ...
Setting up libmnl0:amd64 (1.0.3-3ubuntu1) ...
Setting up libnetfilter-conntrack3:amd64 (1.0.4-1) ...
Setting up libyajl2:amd64 (2.0.4-4) ...
Setting up augeas-lenses (1.2.0-0ubuntu1.2) ...
Setting up bridge-utils (1.5-6ubuntu2) ...
Setting up dnsmasq-base (2.68-1ubuntu0.1) ...
Setting up ebtables (2.0.10.4-3ubuntu1.14.04.1) ...
Setting up iproute (1:3.12.0-2ubuntu1) ...
Setting up libaugeas0 (1.2.0-0ubuntu1.2) ...
Setting up libnetcf1 (1:0.2.3-4ubuntu1) ...
Setting up libvirt0 (1.2.2-0ubuntu13.1.20) ...
Setting up libxenstore3.0 (4.4.2-0ubuntu0.14.04.12) ...
Setting up libxen-4.4 (4.4.2-0ubuntu0.14.04.12) ...
Setting up cgroup-lite (1.9) ...
cgroup-lite start/running
Setting up libxml2-utils (2.9.1+dfsg1-3ubuntu4.9) ...
Setting up pm-utils (1.4.1-13ubuntu0.2) ...
Setting up vbetool (1.1-3) ...
Setting up libnss3-nssdb (2:3.28.4-0ubuntu0.14.04.2) ...
Setting up libnss3:amd64 (2:3.28.4-0ubuntu0.14.04.2) ...
Setting up librados2 (0.80.11-0ubuntu1.14.04.2) ...
Setting up librbd1 (0.80.11-0ubuntu1.14.04.2) ...
Processing triggers for ureadahead (0.100.0-16) ...
Setting up libvirt-bin (1.2.2-0ubuntu13.1.20) ...
Adding group `libvirtd' (GID 111) ...
Done.
libvirt-bin start/running, process 3513
Setting up libvirt-bin dnsmasq configuration.
Processing triggers for libc-bin (2.19-0ubuntu6.13) ...
Processing triggers for ureadahead (0.100.0-16) ...
root@trusty-bug-1707400:~# virsh list
 Id    Name                           State
----------------------------------------------------

root@trusty-bug-1707400:~# service libvirt-bin status
libvirt-bin start/running, process 3513
root@trusty-bug-1707400:~# sed -ie 's/  network inet stream/  #network inet 
stream/' /etc/apparmor.d/usr.sbin.libvirtd
root@trusty-bug-1707400:~# vim /etc/apparmor.d/usr.sbin.libvirtd
root@trusty-bug-1707400:~# apparmor_parser -r -T -W 
/etc/apparmor.d/usr.sbin.libvirtd
root@trusty-bug-1707400:~# sudo apt purge libvirt-bin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  augeas-lenses bridge-utils cgroup-lite dnsmasq-base ebtables iproute
  libaugeas0 libavahi-client3 libavahi-common-data libavahi-common3
  libboost-system1.54.0 libboost-thread1.54.0 libfreetype6 libmnl0 libnetcf1
  libnetfilter-conntrack3 libnl-3-200 libnl-route-3-200 libnspr4 libnss3
  libnss3-nssdb libpciaccess0 librados2 librbd1 libvirt0 libxen-4.4
  libxenstore3.0 libxml2-utils libxslt1.1 libyajl2 os-prober
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  libvirt-bin*
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 11.8 MB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database ... 26006 files and directories currently installed.)
Removing libvirt-bin (1.2.2-0ubuntu13.1.20) ...
libvirt-bin stop/waiting
Removing libvirt-bin dnsmasq configuration
Purging configuration files for libvirt-bin (1.2.2-0ubuntu13.1.20) ...
/usr/sbin/delgroup: `libvirt-dnsmasq' still has `libvirtd' as their primary 
group!
dpkg: warning: while removing libvirt-bin, directory 
'/etc/libvirt/qemu/networks/autostart' not empty so not removed
dpkg: warning: while removing libvirt-bin, directory '/var/lib/libvirt/qemu' 
not empty so not removed
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
root@trusty-bug-1707400:~# ll /etc/apparmor.d/usr.sbin.libvirtd
ls: cannot access /etc/apparmor.d/usr.sbin.libvirtd: No such file or directory
root@trusty-bug-1707400:~# apt install libvirt-bin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libfreetype6 os-prober
Use 'apt-get autoremove' to remove them.
Suggested packages:
  qemu-kvm qemu radvd
The following NEW packages will be installed:
  libvirt-bin
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/2066 kB of archives.
After this operation, 11.8 MB of additional disk space will be used.
Selecting previously unselected package libvirt-bin.
(Reading database ... 25857 files and directories currently installed.)
Preparing to unpack .../libvirt-bin_1.2.2-0ubuntu13.1.20_amd64.deb ...
Unpacking libvirt-bin (1.2.2-0ubuntu13.1.20) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for ureadahead (0.100.0-16) ...
Setting up libvirt-bin (1.2.2-0ubuntu13.1.20) ...
libvirt-bin start/running, process 4393
Setting up libvirt-bin dnsmasq configuration.
Processing triggers for ureadahead (0.100.0-16) ...
root@trusty-bug-1707400:~# virsh list
error: failed to connect to the hypervisor
error: no valid connection
error: Cannot recv data: Connection reset by peer

root@trusty-bug-1707400:~# service libvirt-bin status
libvirt-bin start/running, process 4925
root@trusty-bug-1707400:~# tail /var/log/libvirt/libvirtd.log
2017-08-09 17:17:46.890+0000: 5475: error : virStateInitialize:749 : 
Initialization of netcf state driver failed: internal error: failed to 
initialize netcf
2017-08-09 17:17:46.890+0000: 5475: error : daemonRunStateInit:920 : Driver 
state initialization failed
2017-08-09 17:17:52.384+0000: 5539: info : libvirt version: 1.2.2
2017-08-09 17:17:52.384+0000: 5539: error : netcfStateInitialize:91 : internal 
error: failed to initialize netcf
2017-08-09 17:17:52.384+0000: 5539: error : virStateInitialize:749 : 
Initialization of netcf state driver failed: internal error: failed to 
initialize netcf
2017-08-09 17:17:52.384+0000: 5539: error : daemonRunStateInit:920 : Driver 
state initialization failed
2017-08-09 17:17:57.907+0000: 5603: info : libvirt version: 1.2.2
2017-08-09 17:17:57.907+0000: 5603: error : netcfStateInitialize:91 : internal 
error: failed to initialize netcf
2017-08-09 17:17:57.907+0000: 5603: error : virStateInitialize:749 : 
Initialization of netcf state driver failed: internal error: failed to 
initialize netcf
2017-08-09 17:17:57.907+0000: 5603: error : daemonRunStateInit:920 : Driver 
state initialization failed
root@trusty-bug-1707400:~# 
root@trusty-bug-1707400:~# 
root@trusty-bug-1707400:~# 
root@trusty-bug-1707400:~# 
root@trusty-bug-1707400:~# echo "deb http://archive.ubuntu.com/ubuntu 
trusty-proposed main restricted universe multivers" >> /etc/apt/sources.list
root@trusty-bug-1707400:~# vim /etc/apt/sources.list
root@trusty-bug-1707400:~# apt update
Ign http://archive.ubuntu.com trusty InRelease
Hit http://archive.ubuntu.com trusty-updates InRelease
Hit http://archive.ubuntu.com trusty-backports InRelease
Hit http://archive.ubuntu.com trusty-proposed InRelease
Get:1 http://security.ubuntu.com trusty-security InRelease [65.9 kB]
Hit http://archive.ubuntu.com trusty Release.gpg      
Hit http://archive.ubuntu.com trusty Release       
Hit http://archive.ubuntu.com trusty-updates/main Sources
Hit http://archive.ubuntu.com trusty-updates/restricted Sources      
Hit http://archive.ubuntu.com trusty-updates/universe Sources        
Hit http://archive.ubuntu.com trusty-updates/multiverse Sources      
Hit http://archive.ubuntu.com trusty-updates/main amd64 Packages     
Hit http://archive.ubuntu.com trusty-updates/restricted amd64 Packages
Hit http://archive.ubuntu.com trusty-updates/universe amd64 Packages  
Hit http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages
Hit http://archive.ubuntu.com trusty-updates/main Translation-en      
Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en
Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en
Hit http://archive.ubuntu.com trusty-updates/universe Translation-en  
Hit http://archive.ubuntu.com trusty-backports/main Sources           
Hit http://archive.ubuntu.com trusty-backports/restricted Sources     
Hit http://archive.ubuntu.com trusty-backports/universe Sources       
Hit http://archive.ubuntu.com trusty-backports/multiverse Sources     
Hit http://archive.ubuntu.com trusty-backports/main amd64 Packages    
Hit http://archive.ubuntu.com trusty-backports/restricted amd64 Packages
Hit http://archive.ubuntu.com trusty-backports/universe amd64 Packages      
Hit http://archive.ubuntu.com trusty-backports/multiverse amd64 Packages    
Hit http://archive.ubuntu.com trusty-backports/main Translation-en            
Hit http://archive.ubuntu.com trusty-backports/multiverse Translation-en      
Hit http://archive.ubuntu.com trusty-backports/restricted Translation-en      
Hit http://archive.ubuntu.com trusty-backports/universe Translation-en        
Hit http://archive.ubuntu.com trusty-proposed/main amd64 Packages             
Hit http://archive.ubuntu.com trusty-proposed/restricted amd64 Packages       
Hit http://archive.ubuntu.com trusty-proposed/universe amd64 Packages         
Get:2 http://archive.ubuntu.com trusty-proposed/multiverse amd64 Packages [28 B]
Get:3 http://archive.ubuntu.com trusty-proposed/main Translation-en [22.6 kB] 
Get:4 http://archive.ubuntu.com trusty-proposed/multiverse Translation-en [28 B]
Get:5 http://archive.ubuntu.com trusty-proposed/restricted Translation-en [281 
B]
Get:6 http://archive.ubuntu.com trusty-proposed/universe Translation-en [10.0 
kB]
Hit http://archive.ubuntu.com trusty/main Sources                              
Hit http://archive.ubuntu.com trusty/restricted Sources                  
Hit http://archive.ubuntu.com trusty/universe Sources                    
Get:7 http://security.ubuntu.com trusty-security/main Sources [139 kB]
Hit http://archive.ubuntu.com trusty/multiverse Sources                   
Hit http://archive.ubuntu.com trusty/main amd64 Packages                 
Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
Hit http://archive.ubuntu.com trusty/universe amd64 Packages
Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages             
Hit http://archive.ubuntu.com trusty/main Translation-en                   
Hit http://archive.ubuntu.com trusty/multiverse Translation-en             
Hit http://archive.ubuntu.com trusty/restricted Translation-en             
Hit http://archive.ubuntu.com trusty/universe Translation-en               
Get:8 http://security.ubuntu.com trusty-security/universe Sources [61.0 kB]
Get:9 http://security.ubuntu.com trusty-security/main amd64 Packages [648 kB]
Get:10 http://security.ubuntu.com trusty-security/universe amd64 Packages [179 
kB]
Hit http://security.ubuntu.com trusty-security/main Translation-en             
Hit http://security.ubuntu.com trusty-security/universe Translation-en
Fetched 1126 kB in 5s (199 kB/s)             
Reading package lists... Done
root@trusty-bug-1707400:~# 
root@trusty-bug-1707400:~# 
root@trusty-bug-1707400:~# apt purge libvirt-bin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  augeas-lenses bridge-utils cgroup-lite dnsmasq-base ebtables iproute
  libaugeas0 libavahi-client3 libavahi-common-data libavahi-common3
  libboost-system1.54.0 libboost-thread1.54.0 libfreetype6 libmnl0 libnetcf1
  libnetfilter-conntrack3 libnl-3-200 libnl-route-3-200 libnspr4 libnss3
  libnss3-nssdb libpciaccess0 librados2 librbd1 libvirt0 libxen-4.4
  libxenstore3.0 libxml2-utils libxslt1.1 libyajl2 os-prober
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  libvirt-bin*
0 upgraded, 0 newly installed, 1 to remove and 6 not upgraded.
After this operation, 11.8 MB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database ... 26006 files and directories currently installed.)
Removing libvirt-bin (1.2.2-0ubuntu13.1.20) ...
libvirt-bin stop/waiting
Removing libvirt-bin dnsmasq configuration
Purging configuration files for libvirt-bin (1.2.2-0ubuntu13.1.20) ...
/usr/sbin/delgroup: `libvirt-dnsmasq' still has `libvirtd' as their primary 
group!
dpkg: warning: while removing libvirt-bin, directory 
'/etc/libvirt/qemu/networks/autostart' not empty so not removed
dpkg: warning: while removing libvirt-bin, directory '/var/lib/libvirt/qemu' 
not empty so not removed
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
root@trusty-bug-1707400:~# apt install libvirt-bin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libfreetype6 os-prober
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libvirt0
Suggested packages:
  qemu-kvm qemu radvd lvm2
The following NEW packages will be installed:
  libvirt-bin
The following packages will be upgraded:
  libvirt0
1 upgraded, 1 newly installed, 0 to remove and 5 not upgraded.
Need to get 2896 kB of archives.
After this operation, 11.8 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://archive.ubuntu.com/ubuntu/ trusty-proposed/main libvirt0 amd64 
1.2.2-0ubuntu13.1.21 [830 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty-proposed/main libvirt-bin amd64 
1.2.2-0ubuntu13.1.21 [2066 kB]
Fetched 2896 kB in 0s (3597 kB/s)        
(Reading database ... 25857 files and directories currently installed.)
Preparing to unpack .../libvirt0_1.2.2-0ubuntu13.1.21_amd64.deb ...
Unpacking libvirt0 (1.2.2-0ubuntu13.1.21) over (1.2.2-0ubuntu13.1.20) ...
Selecting previously unselected package libvirt-bin.
Preparing to unpack .../libvirt-bin_1.2.2-0ubuntu13.1.21_amd64.deb ...
Unpacking libvirt-bin (1.2.2-0ubuntu13.1.21) ...
Processing triggers for ureadahead (0.100.0-16) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Setting up libvirt0 (1.2.2-0ubuntu13.1.21) ...
Setting up libvirt-bin (1.2.2-0ubuntu13.1.21) ...
libvirt-bin start/running, process 8332
Setting up libvirt-bin dnsmasq configuration.
Processing triggers for libc-bin (2.19-0ubuntu6.13) ...
Processing triggers for ureadahead (0.100.0-16) ...
root@trusty-bug-1707400:~# 
root@trusty-bug-1707400:~# 
root@trusty-bug-1707400:~# virsh list
 Id    Name                           State
----------------------------------------------------

root@trusty-bug-1707400:~# service libvirt-bin status
libvirt-bin start/running, process 8332

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1707400

Title:
  libvirt-bin doesn't regenerate apparmor cache in postinst

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libvirt/+bug/1707400/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to